BWTextInternal::Font Struct Reference

Internal: a class used to store the font data of a BWText. More...

## Public Member Functions

| Font ()
| constructor More...
MWAWFont | getFont () const
| returns a MWAWFont. More...

## Public Attributes

int | m_id
| the font id More...
int | m_size
| the font size More...
int | m_flags
| the font flags More...
int | m_color
| the font color More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &fnt)
| operator<< More...

## Detailed Description

Internal: a class used to store the font data of a BWText.

## Constructor & Destructor Documentation

BWTextInternal::Font::Font | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWFont BWTextInternal::Font::getFont | ( |  | ) | const

inline

returns a MWAWFont.

Note
  the font id remains filled with the local id

Referenced by BWTextInternal::State::getFont().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | fnt
| ) |  |

friend

operator<<

## Member Data Documentation

int BWTextInternal::Font::m_color

the font color

Referenced by getFont(), and BWText::readFont().

std::string BWTextInternal::Font::m_extra

extra data

Referenced by BWText::readFont().

int BWTextInternal::Font::m_flags

the font flags

Referenced by getFont(), and BWText::readFont().

int BWTextInternal::Font::m_id

the font id

Referenced by getFont(), and BWText::readFont().

int BWTextInternal::Font::m_size

the font size

Referenced by getFont(), and BWText::readFont().

The documentation for this struct was generated from the following file:

- BWText.cxx